Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class HelpFormatter

    java.lang.Object
      org.apache.commons.cli.HelpFormatter
          org.codehaus.groovy.tools.shell.util.HelpFormatter

    class HelpFormatter
    extends org.apache.commons.cli.HelpFormatter

Custom CLI help formatter to render things correctly.

version:
  $Id: HelpFormatter.groovy 7781 2007-08-28 00:17:11Z user57 $

author:
  Jason Dillon

Field Summary

Fields inherited from class org.apache.commons.cli.HelpFormatter
DEFAULT_WIDTH, DEFAULT_LEFT_PAD, DEFAULT_DESC_PAD, DEFAULT_SYNTAX_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_LONG_OPT_PREFIX, DEFAULT_ARG_NAME, defaultWidth, defaultLeftPad, defaultDescPad, defaultSyntaxPrefix, defaultNewLine, defaultOptPrefix, defaultLongOptPrefix, defaultArgName

Constructor Summary
`HelpFormatter()`

Method Summary
`int` | `getDefaultWidth()`
`protected StringBuffer` | `renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)`

Methods inherited from class org.apache.commons.cli.HelpFormatter
printUsage, printUsage, getWidth, setWidth, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, setOptPrefix, getArgName, setLeftPadding, setArgName, getOptionComparator, getOptPrefix, getSyntaxPrefix, printOptions, setNewLine, getLeftPadding, setSyntaxPrefix, setDescPadding, getNewLine, setOptionComparator, getLongOptPrefix, printWrapped, printWrapped, setLongOptPrefix, getDescPadding, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### HelpFormatter

    public HelpFormatter()

Method Detail

### getDefaultWidth

    public int getDefaultWidth()

### renderOptions

    protected StringBuffer renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)

Copyright © 2003-2009 The Codehaus. All rights reserved.